### org.jfree.layouting.renderer.process

# Class TableValidationStep

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.IterateStructuralProcessStep`
  - - `org.jfree.layouting.renderer.process.TableValidationStep`

`public class TableValidationStep`
`extends IterateStructuralProcessStep`

Another static processing step which validates the table structure.

Author:
  Thomas Morgner

  ## Nested Class Summary

  `static class`

  `TableValidationStep.TableInfoStructure`

  ## Constructor Summary

  `TableValidationStep()`

  ## Method Summary

  `protected void`

  `finishBlockBox(BlockRenderBox box)`

  `protected boolean`

  `startBlockBox(BlockRenderBox box)`

  `void`

  `validate(LogicalPageBox box)`

  ### Methods inherited from class org.jfree.layouting.renderer.process.IterateStructuralProcessStep

  `finishBlockBox`, `finishInlineBox`, `finishNormalFlow`, `finishOtherBox`, `finishOtherNode`, `processBoxChilds`, `processParagraphChilds`, `startBlockBox`, `startInlineBox`, `startNormalFlow`, `startOtherBox`, `startOtherNode`, `startProcessing`

## Constructor Details

### TableValidationStep

    public TableValidationStep()

## Method Details

### finishBlockBox

    protected void finishBlockBox(BlockRenderBox box)

> Overrides:
>   finishBlockBox in interface IterateStructuralProcessStep

### startBlockBox

    protected boolean startBlockBox(BlockRenderBox box)

> Overrides:
>   startBlockBox in interface IterateStructuralProcessStep

### validate

    public void validate(LogicalPageBox box)